Client API · Contacts
Create a contact
POST/
Path parameters
inbox_identifierstringrequiredThe identifier obtained from API inbox channel
Body application/json
identifierstringExternal identifier of the contact
identifier_hashstringIdentifier hash prepared for HMAC authentication
emailstringEmail of the contact
namestringName of the contact
phone_numberstringPhone number of the contact
avatarstring (binary)Send the form data with the avatar image binary or use the avatar_url
custom_attributesobjectCustom attributes of the customer
Responses
200Success
idintegerId of the contact
source_idstringThe session identifier of the contact
namestringName of the contact when available
emailstringEmail of the contact
phone_numberstringPhone number of the contact
pubsub_tokenstringThe token to be used to connect to texa-desk websocket
401Unauthorized
descriptionstringerrorsarray of objecterrors[].fieldstringerrors[].messagestringerrors[].codestring